%define pypi_name feedgenerator

Name:           python-feedgenerator
Version:        2.1.0
Release:        %mkrel 4
Group:          Development/Python
Summary:        Standalone version of django.utils.feedgenerator
License:        BSD
URL:            https://pypi.org/project/feedgenerator
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Standalone version of DJango's feed generator for generating ATOM
and RSS feeds.

%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Standalone version of django.utils.feedgenerator

%description -n python3-%{pypi_name}
Standalone version of DJango's feed generator for generating ATOM
and RSS feeds.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files feedgenerator

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.1.0-4.mga10
+ Revision: 2239866
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.1.0-3.mga10
+ Revision: 2157047
- rebuild for python3.13

* Wed Dec 27 2023 daviddavid <daviddavid> 2.1.0-2.mga10
+ Revision: 2022084
- rebuild for py3.12

* Sun Oct 22 2023 papoteur <papoteur> 2.1.0-1.mga10
+ Revision: 2000101
- new 2.1.0

* Wed Mar 23 2022 umeabot <umeabot> 2.0.0-2.mga9
+ Revision: 1823766
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.0.0-1.mga9
+ Revision: 1784944
- version 2.0.0
- rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 1.9.2-1.mga9
+ Revision: 1743231
- new version 1.9.2

* Sat Jun 26 2021 wally <wally> 1.9-4.mga9
+ Revision: 1732351
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.9-3.mga8
+ Revision: 1533098
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.9-2.mga8
+ Revision: 1443373
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.9-1.mga7
+ Revision: 1352715
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.7-11.mga7
+ Revision: 1288854
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.7-10.mga7
+ Revision: 1135420
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.7-9.mga6
+ Revision: 971007
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.7-8.mga6
+ Revision: 888893
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.7-7.mga5
+ Revision: 748326
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7-6.mga5
+ Revision: 728486
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 688029
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.7-4.mga5
+ Revision: 628638
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.7-3.mga4
+ Revision: 543554
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.7-2.mga4
+ Revision: 498590
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 1.7-1.mga4
+ Revision: 492236
- imported package python-feedgenerator

